﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DicomLibrary
{

    public class DTag
    {
        public int GroupNumber { get; set; }
        public int ElementNumber { get; set; }

        public DTag(short groupNumber, short elementNumber)
        {
            GroupNumber = groupNumber;
            ElementNumber = elementNumber;
        }

        public override string ToString()
        {

            return String.Format("({0},{1})", GroupNumber.ToString("x4"), ElementNumber.ToString("x4"));
        }
    }
}
