﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DicomLibrary
{
    public enum DTransferSyntax
    {
        [IsExplicit(false)]
        ImplicitLittleEndian,

        [IsExplicit(true)]
        ExplicitLittleEndian,

        [IsExplicit(true)]
        ExplicitBigEndian
    }

    internal class IsExplicitAttribute : Attribute
    {
        public readonly bool IsExplicit;
        public IsExplicitAttribute(bool isExplicit)
        {
            this.IsExplicit = isExplicit;
        }
    }
}
